Source: ruby-fog-libvirt
Version: 0.0.3-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

ruby-fog-libvirt fails to build from source in unstable/amd64:

  [..]

  Preparing to unpack .../ruby-mime-types_2.6.1-1_all.deb ...
  Unpacking ruby-mime-types (2.6.1-1) ...
  Selecting previously unselected package ruby-net-ssh.
  Preparing to unpack .../ruby-net-ssh_1%3a3.0.1-3_all.deb ...
  Unpacking ruby-net-ssh (1:3.0.1-3) ...
  Selecting previously unselected package ruby-net-scp.
  Preparing to unpack .../ruby-net-scp_1.2.1-3_all.deb ...
  Unpacking ruby-net-scp (1.2.1-3) ...
  Selecting previously unselected package ruby-fog-core.
  Preparing to unpack .../ruby-fog-core_1.40.0-2_all.deb ...
  Unpacking ruby-fog-core (1.40.0-2) ...
  Selecting previously unselected package ruby-multi-json.
  Preparing to unpack .../ruby-multi-json_1.11.2-3_all.deb ...
  Unpacking ruby-multi-json (1.11.2-3) ...
  Selecting previously unselected package ruby-fog-json.
  Preparing to unpack .../ruby-fog-json_1.0.0-1_all.deb ...
  Unpacking ruby-fog-json (1.0.0-1) ...
  Selecting previously unselected package libxslt1.1:amd64.
  Preparing to unpack .../libxslt1.1_1.1.28-4_amd64.deb ...
  Unpacking libxslt1.1:amd64 (1.1.28-4) ...
  Selecting previously unselected package ruby-nokogiri.
  Preparing to unpack .../ruby-nokogiri_1.6.8-1_amd64.deb ...
  Unpacking ruby-nokogiri (1.6.8-1) ...
  Selecting previously unselected package ruby-fog-xml.
  Preparing to unpack .../ruby-fog-xml_0.1.1-5_all.deb ...
  Unpacking ruby-fog-xml (0.1.1-5) ...
  Selecting previously unselected package ruby-json.
  Preparing to unpack .../ruby-json_1.8.3-1+b3_amd64.deb ...
  Unpacking ruby-json (1.8.3-1+b3) ...
  Selecting previously unselected package libavahi-common-data:amd64.
  Preparing to unpack .../libavahi-common-data_0.6.32-1_amd64.deb ...
  Unpacking libavahi-common-data:amd64 (0.6.32-1) ...
  Selecting previously unselected package libavahi-common3:amd64.
  Preparing to unpack .../libavahi-common3_0.6.32-1_amd64.deb ...
  Unpacking libavahi-common3:amd64 (0.6.32-1) ...
  Selecting previously unselected package libdbus-1-3:amd64.
  Preparing to unpack .../libdbus-1-3_1.10.8-1_amd64.deb ...
  Unpacking libdbus-1-3:amd64 (1.10.8-1) ...
  Selecting previously unselected package libavahi-client3:amd64.
  Preparing to unpack .../libavahi-client3_0.6.32-1_amd64.deb ...
  Unpacking libavahi-client3:amd64 (0.6.32-1) ...
  Selecting previously unselected package libnl-3-200:amd64.
  Preparing to unpack .../libnl-3-200_3.2.27-1_amd64.deb ...
  Unpacking libnl-3-200:amd64 (3.2.27-1) ...
  Selecting previously unselected package libnl-route-3-200:amd64.
  Preparing to unpack .../libnl-route-3-200_3.2.27-1_amd64.deb ...
  Unpacking libnl-route-3-200:amd64 (3.2.27-1) ...
  Selecting previously unselected package libnuma1:amd64.
  Preparing to unpack .../libnuma1_2.0.11-1_amd64.deb ...
  Unpacking libnuma1:amd64 (2.0.11-1) ...
  Selecting previously unselected package libxenstore3.0:amd64.
  Preparing to unpack .../libxenstore3.0_4.6.0-1+nmu2_amd64.deb ...
  Unpacking libxenstore3.0:amd64 (4.6.0-1+nmu2) ...
  Selecting previously unselected package libyajl2:amd64.
  Preparing to unpack .../libyajl2_2.1.0-2_amd64.deb ...
  Unpacking libyajl2:amd64 (2.1.0-2) ...
  Selecting previously unselected package libxen-4.6:amd64.
  Preparing to unpack .../libxen-4.6_4.6.0-1+nmu2_amd64.deb ...
  Unpacking libxen-4.6:amd64 (4.6.0-1+nmu2) ...
  Selecting previously unselected package libvirt0.
  Preparing to unpack .../libvirt0_1.3.5-1_amd64.deb ...
  Unpacking libvirt0 (1.3.5-1) ...
  Selecting previously unselected package ruby-libvirt.
  Preparing to unpack .../ruby-libvirt_0.6.0-2_amd64.deb ...
  Unpacking ruby-libvirt (0.6.0-2) ...
  Selecting previously unselected package ruby-shindo.
  Preparing to unpack .../ruby-shindo_0.3.8-1_all.deb ...
  Unpacking ruby-shindo (0.3.8-1) ...
  Processing triggers for man-db (2.7.5-1) ...
  Processing triggers for libc-bin (2.22-13) ...
  Setting up openssl (1.0.2h-1) ...
  Setting up ca-certificates (20160104) ...
  Setting up rubygems-integration (1.10) ...
  Setting up ruby-did-you-mean (1.0.0-2) ...
  Setting up ruby-minitest (5.9.0-1) ...
  Setting up ruby-net-telnet (0.1.1-2) ...
  Setting up ruby-power-assert (0.3.0-1) ...
  Setting up ruby-test-unit (3.1.7-2) ...
  Setting up libyaml-0-2:amd64 (0.1.6-3) ...
  Setting up libgmpxx4ldbl:amd64 (2:6.1.1+dfsg-1) ...
  Setting up libgmp-dev:amd64 (2:6.1.1+dfsg-1) ...
  Setting up libxslt1.1:amd64 (1.1.28-4) ...
  Setting up libavahi-common-data:amd64 (0.6.32-1) ...
  Setting up libavahi-common3:amd64 (0.6.32-1) ...
  Setting up libdbus-1-3:amd64 (1.10.8-1) ...
  Setting up libavahi-client3:amd64 (0.6.32-1) ...
  Setting up libnl-3-200:amd64 (3.2.27-1) ...
  Setting up libnl-route-3-200:amd64 (3.2.27-1) ...
  Setting up libnuma1:amd64 (2.0.11-1) ...
  Setting up libxenstore3.0:amd64 (4.6.0-1+nmu2) ...
  Setting up libyajl2:amd64 (2.1.0-2) ...
  Setting up libxen-4.6:amd64 (4.6.0-1+nmu2) ...
  Setting up libvirt0 (1.3.5-1) ...
  Setting up rake (10.5.0-2) ...
  Setting up libruby2.3:amd64 (2.3.1-5) ...
  Setting up ruby2.3 (2.3.1-5) ...
  Setting up ruby2.3-dev:amd64 (2.3.1-5) ...
  Setting up ruby-all-dev:amd64 (1:2.3.0+4) ...
  Setting up ruby (1:2.3.0+4) ...
  Setting up gem2deb-test-runner (0.30.3) ...
  Setting up ruby-setup (3.4.1-9) ...
  Setting up gem2deb (0.30.3) ...
  Setting up ruby-blankslate (3.1.3-1) ...
  Setting up ruby-builder (3.2.2-4) ...
  Setting up ruby-excon (0.49.0-2) ...
  Setting up ruby-formatador (0.2.1-2) ...
  Setting up ruby-mime-types (2.6.1-1) ...
  Setting up ruby-net-ssh (1:3.0.1-3) ...
  Setting up ruby-net-scp (1.2.1-3) ...
  Setting up ruby-fog-core (1.40.0-2) ...
  Setting up ruby-multi-json (1.11.2-3) ...
  Setting up ruby-fog-json (1.0.0-1) ...
  Setting up ruby-nokogiri (1.6.8-1) ...
  Setting up ruby-fog-xml (0.1.1-5) ...
  Setting up ruby-json (1.8.3-1+b3) ...
  Setting up ruby-libvirt (0.6.0-2) ...
  Setting up ruby-shindo (0.3.8-1) ...
  Setting up ruby-fog-libvirt-build-deps (0.0.3-1) ...
  Processing triggers for ca-certificates (20160104) ...
  Updating certificates in /etc/ssl/certs...
  173 added, 0 removed; done.
  Running hooks in /etc/ca-certificates/update.d...
  done.
  Processing triggers for libc-bin (2.22-13) ...
  
  
**************************************************************************************
  ** Environment                                                                
      **
  
**************************************************************************************
  
  
PATH=/home/lamby/git/projects/dotfiles/dotfiles/..//bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  HOSTNAME=d110a98a2868
  TERM=xterm
  PAGER=more
  DISPLAY=:0
  DOCKER_IMAGE=lamby-debian-sid
  DEB_BUILD_OPTIONS=parallel=9
  PIP_DOWNLOAD_CACHE=/home/lamby/.cache/pip
  HOME=/home/lamby
  LOGNAME=lamby
  SHLVL=1
  
PWD=/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3
  OLDPWD=/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt
  GPG_TTY=/dev/console
  QUILT_PATCHES=debian/patches
  QUILT_NO_DIFF_INDEX=1
  QUILT_REFRESH_ARGS=-p ab --no-timestamps --no-index
  DEBEMAIL=la...@debian.org
  DEBFULLNAME=Chris Lamb
  EDITOR=vim
  LESS=-cgiFx4M
  BLASTER=A220 I5 D1 H5 P330 T6
  _=/usr/bin/env
  
  
**************************************************************************************
  ** Building ruby-fog-libvirt 0.0.3-1 on amd64                                 
      **
  
**************************************************************************************
  
   dpkg-buildpackage -rfakeroot -D -us -uc -b
  dpkg-buildpackage: info: source package ruby-fog-libvirt
  dpkg-buildpackage: info: source version 0.0.3-1
  dpkg-buildpackage: info: source distribution unstable
  dpkg-buildpackage: info: source changed by Antonio Terceiro 
<terce...@debian.org>
   dpkg-source --before-build ruby-fog-libvirt-0.0.3
  dpkg-buildpackage: info: host architecture amd64
   fakeroot debian/rules clean
  dh clean --buildsystem=ruby --with ruby
     dh_testdir -O--buildsystem=ruby
     dh_auto_clean -O--buildsystem=ruby
        dh_ruby --clean
     dh_ruby --clean
     dh_clean -O--buildsystem=ruby
   debian/rules build
  dh build --buildsystem=ruby --with ruby
     dh_testdir -O--buildsystem=ruby
     dh_update_autotools_config -O--buildsystem=ruby
     dh_auto_configure -O--buildsystem=ruby
        dh_ruby --configure
     dh_auto_build -O--buildsystem=ruby
        dh_ruby --build
     dh_ruby --build
     dh_auto_test -O--buildsystem=ruby
        dh_ruby --test
   fakeroot debian/rules binary
  dh binary --buildsystem=ruby --with ruby
     dh_testroot -O--buildsystem=ruby
     dh_prep -O--buildsystem=ruby
     dh_auto_install -O--buildsystem=ruby
        dh_ruby --install 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt
     dh_ruby --install
  
  
┌──────────────────────────────────────────────────────────────────────────────┐
  │ Install files                                                               
 │
  
└──────────────────────────────────────────────────────────────────────────────┘
  
  install -d 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/bin/libvirt.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/bin/libvirt.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/version.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/version.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/list_interfaces.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/list_interfaces.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/mock_files/domain.xml
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/mock_files/domain.xml
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/pool_action.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/pool_action.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/update_display.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/update_display.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/list_pools.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/list_pools.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/upload_volume.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/upload_volume.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/volume_action.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/volume_action.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/define_domain.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/define_domain.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/list_pool_volumes.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/list_pool_volumes.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/destroy_interface.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/destroy_interface.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/clone_volume.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/clone_volume.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/list_domains.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/list_domains.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/create_domain.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/create_domain.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/create_volume.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/create_volume.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/destroy_network.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/destroy_network.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/list_volumes.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/list_volumes.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/get_node_info.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/get_node_info.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/list_networks.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/list_networks.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/define_pool.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/define_pool.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/requests/compute/vm_action.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/requests/compute/vm_action.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/compute.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/compute.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/networks.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/networks.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/interfaces.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/interfaces.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/pools.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/pools.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/server.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/server.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/README.md
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/README.md
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/nics.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/nics.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/pool.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/pool.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/templates/pool.xml.erb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/templates/pool.xml.erb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/templates/server.xml.erb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/templates/server.xml.erb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/templates/volume.xml.erb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/templates/volume.xml.erb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/templates/network.xml.erb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/templates/network.xml.erb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/node.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/node.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/network.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/network.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/nic.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/nic.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/servers.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/servers.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/nodes.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/nodes.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/util/util.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/util/util.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/util/uri.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/util/uri.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/volumes.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/volumes.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/interface.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/interface.rb
  install -D -m644 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/lib/fog/libvirt/models/compute/volume.rb
 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/volume.rb
  
  
┌──────────────────────────────────────────────────────────────────────────────┐
  │ Install Rubygems integration metadata                                       
 │
  
└──────────────────────────────────────────────────────────────────────────────┘
  
  generating gemspec at 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt/usr/share/rubygems-integration/all/specifications/fog-libvirt-0.0.3.gemspec
  /usr/bin/ruby2.3 /usr/bin/gem2deb-test-runner
  
  
┌──────────────────────────────────────────────────────────────────────────────┐
  │ Checking Rubygems dependency resolution on ruby2.3                          
 │
  
└──────────────────────────────────────────────────────────────────────────────┘
  
  
GEM_PATH=debian/ruby-fog-libvirt/usr/share/rubygems-integration/all:/home/lamby/.gem/ruby/2.3.0:/var/lib/gems/2.3.0:/usr/lib/x86_64-linux-gnu/rubygems-integration/2.3.0:/usr/share/rubygems-integration/2.3.0:/usr/share/rubygems-integration/all
 ruby2.3 -e gem\ \"fog-libvirt\"
  /usr/lib/ruby/2.3.0/rubygems/dependency.rb:319:in `to_specs': Could not find 
'pkg-config' (~> 1.1.7) among 26 total gem(s) (Gem::LoadError)
  Checked in 
'GEM_PATH=debian/ruby-fog-libvirt/usr/share/rubygems-integration/all:/home/lamby/.gem/ruby/2.3.0:/var/lib/gems/2.3.0:/usr/lib/x86_64-linux-gnu/rubygems-integration/2.3.0:/usr/share/rubygems-integration/2.3.0:/usr/share/rubygems-integration/all',
 execute `gem env` for more information
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1438:in `block in 
activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in `each'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in 
`activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1409:in `activate'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1441:in `block in 
activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in `each'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in 
`activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1409:in `activate'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1441:in `block in 
activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in `each'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1427:in 
`activate_dependencies'
        from /usr/lib/ruby/2.3.0/rubygems/specification.rb:1409:in `activate'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_gem.rb:68:in `block 
in gem'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_gem.rb:67:in 
`synchronize'
        from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_gem.rb:67:in `gem'
        from -e:1:in `<main>'
  bigdecimal (1.2.8)
  blankslate (3.1.3)
  builder (3.2.2)
  did_you_mean (1.0.0)
  excon (0.49.0)
  fog-core (1.40.0)
  fog-json (1.0.0)
  fog-xml (0.1.1)
  formatador (0.2.1)
  io-console (0.4.5)
  json (1.8.3)
  mime-types (2.6.1)
  minitest (5.9.0)
  multi_json (1.11.2)
  net-scp (1.2.1)
  net-ssh (3.0.1)
  net-telnet (0.1.1)
  nokogiri (1.6.8)
  power_assert (0.2.7)
  psych (2.0.17)
  rake (10.5.0)
  rdoc (4.2.1)
  ruby-libvirt (0.6.0)
  shindo (0.3.8)
  test-unit (3.1.7)
  ERROR: Test "ruby2.3" failed. Exiting.
  dh_auto_install: dh_ruby --install 
/home/lamby/temp/cdt.20160701162132.zzskfD3gBN.ruby-fog-libvirt/ruby-fog-libvirt-0.0.3/debian/ruby-fog-libvirt
 returned exit code 1
  debian/rules:6: recipe for target 'binary' failed
  make: *** [binary] Error 1

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: ruby-fog-libvirt.0.0.3-1.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to